For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • POSTCreate Weekly Recurring Npts
      • POSTCreate Monthly Recurring Npts
      • POSTCreate Daily Recurring Npts
      • POSTCreate Yearly Recurring Npts
      • DELDelete Recurring Npts
      • POSTValidate Recurring Npts
      • PUTUpdate Recurring Npts
LogoLogo
SupportContact salesStart free trial
API ReferenceNpt Recurrency

Delete Recurring Npts

DELETE
https://api.projectmanager.com/api/data/npt/:taskId/recurring/:option
DELETE
/api/data/npt/:taskId/recurring/:option
$curl -X DELETE https://api.projectmanager.com/api/data/npt/taskId/recurring/option \
> -H "Authorization: Bearer <token>"
200Deleted
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": {
14 "deletedCount": 1,
15 "deletedTaskIds": [
16 "string"
17 ]
18 }
19}
Removes one or more instances of a Recurring Non-Project Task based on the `option` you specify: `this` means to remove a single instance, `all` means to remove all instances, or `future` means to remove all future instances of the Recurring Task. A Recurring Task is one that must be completed on a specific regular frequency, such as Daily, Weekly, Monthly, or Yearly. To create a Recurring Task, you must first create a regular Task with the necessary information, then call one of the Create Recurring Task APIs. To remove an instance of a Recurring Task, call Delete Recurring Task and specify one or more instances of the Recurring Task.
Was this page helpful?
Previous

Validate Recurring Npts

Next
Built with

Removes one or more instances of a Recurring Non-Project Task based on the option you specify: this means to remove a single instance, all means to remove all instances, or future means to remove all future instances of the Recurring Task.

A Recurring Task is one that must be completed on a specific regular frequency, such as Daily, Weekly, Monthly, or Yearly. To create a Recurring Task, you must first create a regular Task with the necessary information, then call one of the Create Recurring Task APIs. To remove an instance of a Recurring Task, call Delete Recurring Task and specify one or more instances of the Recurring Task.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

taskIdstringRequiredformat: "uuid"
The unique identifier of the Recurring Npt Tasks
optionstringRequired
The options for the deletion

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
dataobject
Contains details of recurring NPT task deletions.